Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.javacode
Class JavaCodeGenerator

    java.lang.Object
      edu.stanford.smi.protegex.owl.javacode.JavaCodeGenerator

    public class JavaCodeGenerator

extends Object

A class that can create Java interfaces in the Protege-OWL format from an OWL model.

Author:
  Holger Knublauch

Constructor Summary
`JavaCodeGenerator(OWLModel owlModel, JavaCodeGeneratorOptions options)`

Method Summary
`void` | `createAll()`
`void` | `createFactoryClass()`
`void` | `createImplementation(RDFSNamedClass cls)`
`void` | `createInterface(RDFSNamedClass aClass)`
`void` | `createInterfacePropertyCode(PrintWriter printWriter, RDFPropertyAtClassCode propertyCode)`
`void` | `createUserImplementation(RDFSNamedClass cls)`
`String` | `getBaseImplementation(RDFSNamedClass aClass)`
`String` | `getBaseInterface(RDFSNamedClass cls)`
`File` | `getImplementationFile(RDFSNamedClass aClass)`
`String` | `getImplementationName(RDFSNamedClass aClass)`
`String` | `getImplementationNamePossiblyAbstract(RDFSNamedClass aClass)`
`File` | `getInterfaceFile(RDFSNamedClass aClass)`
`String` | `getInterfaceName(RDFSNamedClass aClass)`
`String` | `getInterfaceNamePossiblyAbstract(RDFSNamedClass aClass)`
`static String` | `getValidJavaName(String name)`
`boolean` | `hasMultipleSuperclasses(RDFSNamedClass aClass)`
`void` | `printImplementationCode(PrintWriter printWriter, RDFSNamedClass aClass)`
`void` | `printImplementationPropertyCode(PrintWriter printWriter, RDFPropertyAtClassCode propertyCode)`
`void` | `printInterfaceCode(PrintWriter printWriter, RDFSNamedClass aClass)`
`void` | `printUserImplementationCode(PrintWriter printWriter, RDFSNamedClass cls)`
`void` | `printUserInterfaceCode(PrintWriter printWriter, RDFSNamedClass cls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaCodeGenerator

    public JavaCodeGenerator(OWLModel owlModel,
                             JavaCodeGeneratorOptions options)

Method Detail

### createAll

    public void createAll()
                   throws IOException

  Throws:
    `IOException`

### createFactoryClass

    public void createFactoryClass()
                            throws IOException

  Throws:
    `IOException`

### createImplementation

    public void createImplementation(RDFSNamedClass cls)
                              throws IOException

  Throws:
    `IOException`

### createUserImplementation

    public void createUserImplementation(RDFSNamedClass cls)
                                  throws IOException

  Throws:
    `IOException`

### printImplementationCode

    public void printImplementationCode(PrintWriter printWriter,
                                        RDFSNamedClass aClass)

### printUserImplementationCode

    public void printUserImplementationCode(PrintWriter printWriter,
                                            RDFSNamedClass cls)

### createInterface

    public void createInterface(RDFSNamedClass aClass)
                         throws IOException

  Throws:
    `IOException`

### printInterfaceCode

    public void printInterfaceCode(PrintWriter printWriter,
                                   RDFSNamedClass aClass)

### printUserInterfaceCode

    public void printUserInterfaceCode(PrintWriter printWriter,
                                       RDFSNamedClass cls)

### printImplementationPropertyCode

    public void printImplementationPropertyCode(PrintWriter printWriter,
                                                RDFPropertyAtClassCode propertyCode)

### createInterfacePropertyCode

    public void createInterfacePropertyCode(PrintWriter printWriter,
                                            RDFPropertyAtClassCode propertyCode)

### getBaseImplementation

    public String getBaseImplementation(RDFSNamedClass aClass)

### getBaseInterface

    public String getBaseInterface(RDFSNamedClass cls)

### getImplementationFile

    public File getImplementationFile(RDFSNamedClass aClass)

### getImplementationName

    public String getImplementationName(RDFSNamedClass aClass)

### getImplementationNamePossiblyAbstract

    public String getImplementationNamePossiblyAbstract(RDFSNamedClass aClass)

### getInterfaceFile

    public File getInterfaceFile(RDFSNamedClass aClass)

### getInterfaceNamePossiblyAbstract

    public String getInterfaceNamePossiblyAbstract(RDFSNamedClass aClass)

### getInterfaceName

    public String getInterfaceName(RDFSNamedClass aClass)

### getValidJavaName

    public static String getValidJavaName(String name)

### hasMultipleSuperclasses

    public boolean hasMultipleSuperclasses(RDFSNamedClass aClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.